/*
 * audio.h
 *
 * Function declarations for audio.c
 *
 * Copyright (c) 2004 Todd MacDermid <tmacd@synacklabs.net>
 *                    nash e.f. <nash@solace.net>
 *
 */

#ifndef CUTLASS_AUDIO_H
#define CUTLASS_AUDIO_H

#ifdef __cplusplus
extern "C" {
#endif

int
cutlass_audio_set_threshold(cutlass_t *cut_handle, float threshold);

int
cutlass_audio_threshold_check(cutlass_t *cut_handle, float threshold,
                              float *audio_buf, int num_samples);

int
cutlass_connection_audio_delete(cutlass_t *cut_handle, conn_t *conn);

int
cutlass_audio_req_parse(  cutlass_t *cut_handle,
                          conn_t *conn,
                          uint8_t *msg_packet,
                          struct cutlass_packet_hdr *packet_info,
                          struct timespec *now);

int
cutlass_audio_play_file(cutlass_t *cut_handle, char *filename);

void
cutlass_audio_shutdown(cutlass_t *cut_handle);

int
cutlass_audio_connect_all(cutlass_t *cut_handle);

int
cutlass_audio_connect(cutlass_t *cut_handle, uint8_t *fingerprint);

int
cutlass_audio_accept(cutlass_t *cut_handle, struct cut_action_obj *action);

int 
cutlass_audio_reject(cutlass_t *cut_handle, struct cut_action_obj *action);

int
cutlass_audio_disconnect(cutlass_t *cut_handle, uint8_t *fingerprint);

int
cutlass_audio_disconnect_all(cutlass_t *cut_handle);

int
cutlass_audio_data_parse( cutlass_t *cut_handle,
                          conn_t *conn,
                          uint8_t *msg_packet,
                          struct cutlass_packet_hdr *packet_info,
                          struct timespec *now);

#ifdef __cplusplus
}
#endif

#endif /* CUTLASS_AUDIO_H */
