/*
 * userconf.h
 *
 * Function declarations for userconf.cpp
 *
 * Copyright (c) 2004 Jack Lloyd <lloyd@randombit.net>
 *
 */

#include <pthread.h>

#ifndef CUTLASS_USERCONF_H__
#define CUTLASS_USERCONF_H__

#ifdef __cplusplus
extern "C" {
#endif

typedef struct cutlass_options_struct
   {
   void* val;
   void* strcache;
   pthread_mutex_t lock;
   } cutlass_options;

cutlass_options* new_options(void);
cutlass_options* load_options(const char* filename);
int save_options(cutlass_options*, const char* filename);
void delete_options(cutlass_options*);

void set_int_option(cutlass_options* opt, const char* option_name, int value);
void set_str_option(cutlass_options* opt, const char* option_name,
                    const char* value);

int get_int_option(cutlass_options*, const char* option_name);
const char* get_str_option(cutlass_options*, const char* option_name);

#ifdef __cplusplus
}
#endif

#endif
