/*
 * utils.h
 *
 * Function declarations for utils.c
 *
 * Copyright (c) 2004 Todd MacDermid <tmacd@synacklabs.net>
 *
 */

#ifndef UTILS_H
#define UTILS_H

int cutlass_time(struct timespec *now);
int cutlass_time_check(const struct timespec *now, const struct timespec *last,
		       const struct timespec *diff, struct timespec *remaining);

const char * 
cutlass_ntop(int addr_family, void *src, char *dst, socklen_t cnt);

int cutlass_pton(int addr_family, char *src, void *dst);

int cutlass_hdr_unpack(uint8_t *packet,
		   uint8_t *cut_type,
		   uint8_t *stream_id,
		   uint16_t *length);

/*
int cutlass_send(cutlass_t *cut_handle, conn_t *conn, 
		 uint8_t *clear_packet, struct timespec *now, size_t len);
*/

void cutlass_shutdown_all(cutlass_t *cut_handle);

#endif /* UTILS_H */
